diff --git a/src/common/gui/CHSwitch2.cpp b/src/common/gui/CHSwitch2.cpp
index f23b22dcb..f1d9c0bee 100644
--- a/src/common/gui/CHSwitch2.cpp
+++ b/src/common/gui/CHSwitch2.cpp
@@ -46,6 +46,10 @@ void CHSwitch2::draw(CDrawContext* dc)
 
 CMouseEventResult CHSwitch2::onMouseDown(CPoint& where, const CButtonState& buttons)
 {
+   mouseDowns++;
+   if (mouseDowns > 1)
+      return kMouseEventHandled;
+
    if (listener && buttons & (kAlt | kShift | kRButton | kControl | kApple))
    {
       if (listener->controlModifierClicked(this, buttons) != 0)
@@ -93,6 +97,8 @@ CMouseEventResult CHSwitch2::onMouseDown(CPoint& where, const CButtonState& butt
 }
 CMouseEventResult CHSwitch2::onMouseUp(CPoint& where, const CButtonState& buttons)
 {
+   mouseDowns--;
+
    if (dragable)
    {
       endEdit();
diff --git a/src/common/gui/CHSwitch2.h b/src/common/gui/CHSwitch2.h
index 23d295b72..22385bb58 100644
--- a/src/common/gui/CHSwitch2.h
+++ b/src/common/gui/CHSwitch2.h
@@ -25,6 +25,8 @@ class CHSwitch2 : public VSTGUI::CHorizontalSwitch, public Surge::UI::SkinConsum
       this->rows = rows;
       this->columns = columns;
       this->dragable = dragable;
+
+      mouseDowns = 0;
       imgoffset = 0;
       usesMouseWheel = true; // use mousewheel by default
    }
@@ -33,6 +35,7 @@ class CHSwitch2 : public VSTGUI::CHorizontalSwitch, public Surge::UI::SkinConsum
    // This matches the paint offset
    virtual int getIValue() { return (int)(value * (float)(rows * columns - 1) + 0.5f); }
    
+   int mouseDowns;
    int imgoffset;
    bool dragable;
    bool usesMouseWheel;
